Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# discover_sysdep_data Struct Reference

`#include <sysdep.h>`

## Data Fields
char * | busclass
char * | vendor
char * | model
discover_sysdep_device_data_t * | data
discover_sysdep_data * | next

## Detailed Description

Linked list node, used to return hardware-identification information discovered by the system-dependent interface

Definition at line 56 of file sysdep.h.

## Field Documentation

char* discover_sysdep_data::busclass

| String describing the general device class Definition at line 58 of file sysdep.h. Referenced by _discover_free_sysdep_data(), and _discover_sysdep_data_new().

discover_sysdep_device_data_t* discover_sysdep_data::data

| Pointer to any sysdep/device specific data to be returned Definition at line 64 of file sysdep.h. Referenced by _discover_free_sysdep_data(), and _discover_sysdep_data_new().

char* discover_sysdep_data::model

| String identifying the model Definition at line 62 of file sysdep.h. Referenced by _discover_free_sysdep_data(), and _discover_sysdep_data_new().

struct discover_sysdep_data* discover_sysdep_data::next

| Pointer to the next hardware device discovered Definition at line 66 of file sysdep.h. Referenced by _discover_free_sysdep_data(), and _discover_sysdep_data_new().

char* discover_sysdep_data::vendor

| String describing the manufacturer or distributor Definition at line 60 of file sysdep.h. Referenced by _discover_free_sysdep_data(), and _discover_sysdep_data_new().

The documentation for this struct was generated from the following file:

- /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h